### Method

# Gegl MetadataStore get_value

#### Declaration [src]

    void
    gegl_metadata_store_get_value (
      GeglMetadataStore* self,
      const gchar* name,
      GValue* value
    )

#### Description [src]

Retrieve the metadata value. `value` must be initialised with a compatible type. If the value is unset or has not been previously declared `value` is unchanged and an error message is logged.

#### Parameters

`name`

  Type: `const gchar*`

  Metadata name.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`value`

  Type: `GValue`

  An initialised `GValue`.

  The argument will be modified by the function.
  The instance takes ownership of the data, and is responsible for freeing it.